FrostWire now available on Gentoo Linux’s Portage package system

We want to give thanks to William L. Thomson Jr from Gentoo for making FrostWire available to people running Gentoo ~arch or unstable ~x86 or ~amd64.

If you are a Gentoo Linux user you can now just do:

emerge frostwire

And as William says:

it will bring in all deps, compile, install, make desktop menu entries, launcher, etc 🙂

If you’re interested here’s the package

About Gentoo

The Gentoo Linux operating system (pronounced /ˈdÊ’É›ntuː/) is a Linux distribution based on the Portage package management system. The development project and its products are named after the Gentoo penguin. Gentoo package management is designed to be modular, portable, easy to maintain, flexible, and optimized for the user’s machine. Packages are normally built from source code, continuing the tradition of the ports collection, although for convenience, some large software packages are also available as precompiled binaries for various architectures.

Source: Wikipedia

3 thoughts on “FrostWire now available on Gentoo Linux’s Portage package system

  1. i was running frostwire from noarch package available on your website, it was running fine (let’s say it excellent!).

    today i wanted to install through my package system (emerge frostwire), but now it shows some dependencies not achieved:

    here is the code:

    **************************************************************************************
    emerge -pv frostwire

    These are the packages that would be merged, in order:

    Calculating dependencies… done!
    [ebuild N ] dev-java/xml-commons-external-1.3.04 USE=”-doc -source” 645 kB
    [ebuild N ] dev-java/jakarta-oro-2.0.8-r2 USE=”-doc -examples -source” 338 kB
    [ebuild N ] dev-java/jgoodies-looks-1.2.2-r1 USE=”-doc” 1,770 kB
    [ebuild N ] dev-java/jmdns-1.0 USE=”-doc -examples -source” 155 kB
    [ebuild N ] dev-java/junit-3.8.2-r1 USE=”-doc -source” 451 kB
    [ebuild N ] dev-java/libreadline-java-0.8.0-r2 USE=”-doc -source” 76 kB
    [ebuild N ] dev-java/icu4j-3.8.1 USE=”-doc -source -test” 13,460 kB
    [ebuild N ] dev-java/xml-commons-resolver-1.2 USE=”-doc -source” 257 kB
    [ebuild N ] dev-java/xjavac-20041208-r5 2 kB
    [ebuild N ] dev-java/bcel-5.2 USE=”-doc -source” 256 kB
    [ebuild N ] dev-java/javacup-0.11a_beta20060608 USE=”-doc -source” 280 kB
    [ebuild N ] dev-java/xalan-serializer-2.7.0 USE=”-doc -source” 6,118 kB
    [ebuild N ] dev-java/javacc-4.0-r4 USE=”-doc -examples -source -test” 748 kB
    [ebuild N ] dev-java/commons-net-1.4.1-r1 USE=”-doc -examples -source” 224 kB
    [ebuild N ] dev-java/jython-2.2.1-r1 USE=”readline -doc -examples -mysql -oracle -postgres -servletapi -source” 11,107 kB
    [ebuild N ] dev-java/xerces-2.9.1 USE=”-doc -examples -source” 1,672 kB
    [ebuild N ] dev-java/xalan-2.7.0-r5 USE=”-doc -source” 0 kB
    [ebuild N ] dev-java/ant-owanttask-1.1-r12 10 kB
    [ebuild N ] dev-java/asm-3.1 USE=”-doc -source” 670 kB
    [ebuild N ] net-p2p/frostwire-4.13.5 USE=”-source” 10,781 kB

    Total: 20 packages (20 new), Size of downloads: 49,010 kB
    ***************************************************************************************

    WTF! it was runnung just fine!, now portage want to install 20 packages more for an application that’s already running without them.

    I’m stay with noarch-package (i’ve uncompressed frostwire-4.13.5.noarch.tar.gz in my /opt folder and every runs pretty)

    sorry my english.

    PS. i’m running Sun Java 1.6 maybe thats the cause of all dependencies.

  2. @enzobelmont

    Enzo, the gentoo people told me your problem is basically that you need to understand that the whole point of emerge is to install everything from the sources.

    It worked before because you were using OUR BINARIES, no joke it did work😉

    Now, when you try to install from emerge, the idea is that it will want to compile everything from source… including Java, which is also compiled from source, it’s the Gentoo way.

    Maybe you should get Ubuntu if you like binaries better.

  3. @enzobelmont:

    Please next time you have a problem with Gentoo, contact the mantainers of the packages. Since we just release what’s on frostwire.com.

    We just wanted to let the gentoo users know that the people at gentoo have gone out of their way and added frostwire to their packaging system. It’s up to gentoo users and mantainer to solve these problems.

    Mantainers should talk to us if there are any issues with our sources.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s